Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.mapinfoapi
Class MIFGeometryParser

    java.lang.Object
      org.deegree.io.mapinfoapi.MIFGeometryParser

    public class MIFGeometryParser

extends Object

`MIFGeometryParser`

Version:
  $Revision:$, $Date:$
Author:
  Andreas Schmitz, last edited by: $Author:$

Field Summary
`LinkedList<String>` | `errors`

Constructor Summary
`MIFGeometryParser(StreamTokenizer mif, CoordinateSystem crs)`

Method Summary
`void` | `parseArc()` Currently just skips over the tokens.
`void` | `parseEllipse()` Currently just skips over the tokens.
`Curve` | `parseLine()`
`MultiPoint` | `parseMultipoint()`
`Curve` | `parsePLine()`
`Point` | `parsePoint()`
`Surface` | `parseRect()`
`MultiSurface` | `parseRegion()` Null will be returned if polygons are broken, for example the two-point-polygons (actual example exported from MapInfo!)
`void` | `parseRoundRect()` Currently just skips over the tokens.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errors

    public LinkedList<String> errors

Constructor Detail

### MIFGeometryParser

    public MIFGeometryParser(StreamTokenizer mif,
                             CoordinateSystem crs)

Parameters:
  `mif` -
  `crs` -

Method Detail

### parsePoint

    public Point parsePoint()
                     throws IOException

  Returns:
    a deegree Point
  Throws:
    `IOException`

### parseMultipoint

    public MultiPoint parseMultipoint()
                               throws IOException

  Returns:
    a deegree multipoint
  Throws:
    `IOException`

### parseLine

    public Curve parseLine()
                    throws IOException

  Returns:
    a deegree Curve or null, if the line contained errors
  Throws:
    `IOException`

### parsePLine

    public Curve parsePLine()
                     throws IOException

  Returns:
    a deegree Curve or null, if errors were found
  Throws:
    `IOException`

### parseRegion

    public MultiSurface parseRegion()
                             throws IOException

  Null will be returned if polygons are broken, for example the two-point-polygons (actual example exported from MapInfo!):

                   Region 1
                   2
                   2505127 5631765
                   2505127 5631765

  Returns:
    a deegree multi surface or null in case of errors
  Throws:
    `IOException`

### parseArc

    public void parseArc()
                  throws IOException

  Currently just skips over the tokens.

  Throws:
    `IOException`

### parseRoundRect

    public void parseRoundRect()
                        throws IOException

  Currently just skips over the tokens.

  Throws:
    `IOException`

### parseEllipse

    public void parseEllipse()
                      throws IOException

  Currently just skips over the tokens.

  Throws:
    `IOException`

### parseRect

    public Surface parseRect()
                      throws IOException

  Returns:
    a deegree surface with 5 points
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org